## misc misc |

## Functions

void | (*OrcRuleEmitFunc) ()
#define | ORC_N_REGS
void | orc_powerpc_init ()
void | orc_arm_init ()
void | orc_c_init ()
int | orc_parse ()

## Types and Values

struct | OrcVariable
| OrcInstruction
struct | OrcRule
struct | OrcFixup
#define | ORC_N_INSNS
#define | ORC_N_VARIABLES
#define | ORC_N_REGISTERS
#define | ORC_N_FIXUPS
#define | ORC_N_LABELS
#define | ORC_GP_REG_BASE
#define | ORC_VEC_REG_BASE
enum | OrcVarType

## Description

## Functions

### OrcRuleEmitFunc ()

    void
    (*OrcRuleEmitFunc) (OrcCompiler *p,
                        void *user,
                        OrcInstruction *insn);

### ORC_N_REGS

    #define ORC_N_REGS (32*4)

### orc_powerpc_init ()

    void
    orc_powerpc_init (void);

### orc_arm_init ()

    void
    orc_arm_init (void);

### orc_c_init ()

    void
    orc_c_init (void);

### orc_parse ()

    int
    orc_parse (const char *code,
               OrcProgram ***programs);

#### Returns

## Types and Values

### struct OrcVariable

    struct OrcVariable {
    };

The OrcVariable structure has no public members

### OrcInstruction

    typedef struct {
    } OrcInstruction;

The OrcInstruction structure has no public members

### struct OrcRule

    struct OrcRule {
    };

The OrcRule structure has no public members

### struct OrcFixup

    struct OrcFixup {
    };

The OrcFixup structure has no public members

### ORC_N_INSNS

    #define ORC_N_INSNS 100

### ORC_N_VARIABLES

    #define ORC_N_VARIABLES 64

### ORC_N_REGISTERS

    #define ORC_N_REGISTERS 20

### ORC_N_FIXUPS

    #define ORC_N_FIXUPS 100

### ORC_N_LABELS

    #define ORC_N_LABELS 40

### ORC_GP_REG_BASE

    #define ORC_GP_REG_BASE 32

### ORC_VEC_REG_BASE

    #define ORC_VEC_REG_BASE 64

### enum OrcVarType

#### Members

ORC_VAR_TYPE_TEMP |  |
ORC_VAR_TYPE_SRC |  |
ORC_VAR_TYPE_DEST |  |
ORC_VAR_TYPE_CONST |  |
ORC_VAR_TYPE_PARAM |  |
ORC_VAR_TYPE_ACCUMULATOR |  |